#! /usr/bin/env python
# -*- coding: utf-8 -*-

import os

SUITE = ["airport:p27-airport4halfMUC-p6.pddl",
         "transport-opt08-strips:p23.pddl",
         "satellite:p35-HC-pfile15.pddl", "scanalyzer-opt11-strips:p18.pddl",
         "satellite:p23-HC-pfile3.pddl", "blocks:probBLOCKS-10-0.pddl",
         "hiking-opt14-strips:ptesting-1-2-8.pddl", "rovers:p03.pddl",
         "tpp:p29.pddl",
         "visitall-opt14-strips:p-05-7.pddl", "freecell:p20.pddl",
         "transport-opt11-strips:p16.pddl", "satellite:p19-pfile19.pddl",
         "freecell:p18.pddl",
         "openstacks-opt11-strips:p03.pddl", "psr-small:p32-s50-n4-l2-f50.pddl",
         "transport-opt11-strips:p06.pddl", "parcprinter-08-strips:p21.pddl",
         "tpp:p13.pddl",
         "settlers-opt18-adl:p03.pddl",
         "pipesworld-notankage:p23-net3-b14-g3.pddl",
         "elevators-opt11-strips:p12.pddl", "mystery:prob16.pddl",
         "logistics98:prob35.pddl",
         "storage:p07.pddl", "woodworking-opt08-strips:p13.pddl",
         "airport:p04-airport2-p1.pddl", "miconic:s25-3.pddl",
         "pipesworld-notankage:p34-net4-b16-g6.pddl",
         "freecell:probfreecell-12-5.pddl",
         "miconic:s14-1.pddl", "transport-opt14-strips:p17.pddl",
         "hiking-opt14-strips:ptesting-2-3-7.pddl",
         "psr-small:p19-s33-n3-l2-f30.pddl",
         "childsnack-opt14-strips:child-snack_pfile08-2.pddl",
         "ged-opt14-strips:d-7-6.pddl",
         "tpp:p27.pddl", "miconic:s24-0.pddl",
         "barman-opt11-strips:pfile03-010.pddl",
         "barman-opt14-strips:p739-3.pddl", "airport:p09-airport2-p4.pddl",
         "miconic:s13-0.pddl", "zenotravel:p12.pddl",
         "woodworking-opt11-strips:p14.pddl",
         "transport-opt08-strips:p10.pddl", "elevators-opt11-strips:p02.pddl",
         "airport:p13-airport3-p2.pddl", "gripper:prob06.pddl",
         "miconic:s19-2.pddl",
         "woodworking-opt08-strips:p16.pddl", "freecell:p12.pddl",
         "elevators-opt08-strips:p29.pddl", "miconic:s28-2.pddl",
         "mystery:prob03.pddl",
         "psr-small:p37-s67-n6-l2-f70.pddl",
         "parking-opt14-strips:p_20_11-01.pddl",
         "sokoban-opt11-strips:p03.pddl",
         "floortile-opt14-strips:p02-5-3-2.pddl",
         "parking-opt14-strips:p_16_9-01.pddl",
         "childsnack-opt14-strips:child-snack_pfile09-2.pddl",
         "scanalyzer-08-strips:p23.pddl", "pathways-noneg:p17.pddl",
         "transport-opt08-strips:p22.pddl",
         "organic-synthesis-opt18-strips:p12.pddl",
         "scanalyzer-08-strips:p09.pddl", "transport-opt08-strips:p12.pddl",
         "scanalyzer-08-strips:p26.pddl", "logistics98:prob05.pddl",
         "childsnack-opt14-strips:child-snack_pfile07-2.pddl",
         "elevators-opt08-strips:p17.pddl", "driverlog:p18.pddl",
         "openstacks-opt11-strips:p17.pddl", "freecell:probfreecell-9-1.pddl",
         "freecell:probfreecell-2-5.pddl", "transport-opt14-strips:p08.pddl",
         "logistics00:probLOGISTICS-8-1.pddl", "pegsol-08-strips:p19.pddl",
         "psr-small:p16-s29-n2-l5-f30.pddl", "miconic:s10-0.pddl",
         "psr-small:p45-s94-n4-l3-f50.pddl", "blocks:probBLOCKS-4-2.pddl",
         "miconic:s8-0.pddl",
         "gripper:prob11.pddl", "floortile-opt14-strips:p03-5-5-2.pddl",
         "openstacks-opt14-strips:p35_3.pddl", "tpp:p24.pddl",
         "scanalyzer-08-strips:p11.pddl",
         "pipesworld-tankage:p22-net3-b12-g4-t60.pddl",
         "scanalyzer-opt11-strips:p09.pddl",
         "miconic:s22-1.pddl", "zenotravel:p16.pddl",
         "nurikabe-opt18-adl:p15.pddl",
         "transport-opt08-strips:p11.pddl", "rovers:p04.pddl",
         "scanalyzer-08-strips:p05.pddl",
         "woodworking-opt08-strips:p03.pddl",
         "pipesworld-tankage:p43-net5-b24-g3-t80.pddl",
         "openstacks-opt14-strips:p45_2.pddl",
         "caldera-split-opt18-adl:p06.pddl",
         "barman-opt11-strips:pfile04-016.pddl",
         "airport:p46-airport5MUC-p6.pddl",
         "tpp:p15.pddl", "miconic:s11-4.pddl", "sokoban-opt08-strips:p07.pddl",
         "parcprinter-08-strips:p27.pddl", "pathways-noneg:p04.pddl",
         "miconic:s4-4.pddl",
         "elevators-opt11-strips:p14.pddl", "miconic:s3-0.pddl",
         "caldera-split-opt18-adl:p17.pddl", "scanalyzer-08-strips:p06.pddl",
         "gripper:prob03.pddl", "openstacks-opt08-strips:p13.pddl",
         "mystery:prob23.pddl",
         "miconic:s21-1.pddl", "organic-synthesis-opt18-strips:p08.pddl",
         "openstacks-opt11-strips:p15.pddl", "pegsol-08-strips:p09.pddl",
         "pathways-noneg:p07.pddl", "zenotravel:p17.pddl",
         "caldera-split-opt18-adl:p14.pddl",
         "parking-opt11-strips:pfile03-012.pddl", "satellite:p20-pfile20.pddl",
         "miconic:s28-4.pddl", "satellite:p29-HC-pfile9.pddl",
         "caldera-split-opt18-adl:p20.pddl", "barman-opt14-strips:p435-3.pddl",
         "floortile-opt11-strips:opt-p07-013.pddl",
         "satellite:p34-HC-pfile14.pddl",
         "sokoban-opt11-strips:p13.pddl", "transport-opt11-strips:p19.pddl",
         "openstacks-opt11-strips:p16.pddl",
         "floortile-opt14-strips:p01-6-5-2.pddl",
         "psr-small:p28-s43-n3-l4-f70.pddl",
         "parking-opt14-strips:p_20_11-04.pddl",
         "pipesworld-notankage:p06-net1-b10-g6.pddl", "rovers:p23.pddl",
         "rovers:p27.pddl",
         "miconic:s4-2.pddl", "ged-opt14-strips:d-2-4.pddl",
         "openstacks-opt11-strips:p11.pddl", "rovers:p09.pddl",
         "movie:prob11.pddl",
         "barman-opt14-strips:p739-2.pddl", "elevators-opt11-strips:p11.pddl",
         "visitall-opt11-strips:problem02-half.pddl",
         "parcprinter-08-strips:p16.pddl",
         "sokoban-opt08-strips:p11.pddl",
         "pipesworld-tankage:p34-net4-b16-g6-t60.pddl",
         "pipesworld-notankage:p20-net2-b18-g8.pddl",
         "pegsol-08-strips:p14.pddl",
         "miconic:s20-4.pddl", "visitall-opt14-strips:p-1-17.pddl",
         "airport:p50-airport5MUC-p15.pddl", "miconic:s14-4.pddl",
         "organic-synthesis-split-opt18-strips:p13.pddl", "gripper:prob14.pddl",
         "airport:p30-airport4halfMUC-p8.pddl",
         "barman-opt11-strips:pfile05-018.pddl",
         "barman-opt14-strips:p638-2.pddl", "mprime:prob23.pddl",
         "barman-opt11-strips:pfile05-017.pddl", "storage:p30.pddl",
         "zenotravel:p20.pddl",
         "sokoban-opt08-strips:p26.pddl", "gripper:prob02.pddl",
         "elevators-opt08-strips:p07.pddl", "scanalyzer-08-strips:p25.pddl",
         "woodworking-opt11-strips:p08.pddl",
         "parcprinter-opt11-strips:p11.pddl",
         "pipesworld-tankage:p28-net3-b18-g7-t70.pddl",
         "satellite:p14-pfile14.pddl",
         "openstacks-opt14-strips:p30_2.pddl",
         "woodworking-opt11-strips:p04.pddl",
         "logistics98:prob28.pddl", "miconic:s8-1.pddl",
         "pegsol-08-strips:p26.pddl",
         "logistics00:probLOGISTICS-9-0.pddl", "parcprinter-08-strips:p20.pddl",
         "hiking-opt14-strips:ptesting-2-4-7.pddl",
         "parking-opt11-strips:pfile07-028.pddl",
         "openstacks-opt08-strips:p01.pddl", "blocks:probBLOCKS-8-0.pddl",
         "caldera-split-opt18-adl:p19.pddl", "miconic:s23-2.pddl",
         "mprime:prob34.pddl",
         "blocks:probBLOCKS-7-2.pddl", "pegsol-08-strips:p08.pddl",
         "logistics98:prob01.pddl",
         "driverlog:p15.pddl", "floortile-opt11-strips:opt-p10-020.pddl",
         "caldera-opt18-adl:p17.pddl", "depot:p03.pddl",
         "pegsol-08-strips:p04.pddl",
         "elevators-opt08-strips:p21.pddl",
         "floortile-opt11-strips:opt-p07-014.pddl",
         "scanalyzer-08-strips:p03.pddl", "grid:prob05.pddl",
         "pipesworld-notankage:p07-net1-b12-g5.pddl",
         "woodworking-opt08-strips:p15.pddl",
         "caldera-split-opt18-adl:p16.pddl", "miconic:s22-2.pddl",
         "ged-opt14-strips:d-3-2.pddl", "miconic:s26-3.pddl",
         "transport-opt11-strips:p01.pddl", "rovers:p26.pddl",
         "logistics00:probLOGISTICS-15-1.pddl", "rovers:p15.pddl",
         "hiking-opt14-strips:ptesting-2-3-5.pddl",
         "airport:p40-airport5MUC-p4.pddl",
         "storage:p21.pddl", "organic-synthesis-opt18-strips:p02.pddl",
         "caldera-opt18-adl:p03.pddl", "elevators-opt08-strips:p18.pddl",
         "transport-opt14-strips:p14.pddl", "freecell:probfreecell-9-4.pddl",
         "movie:prob23.pddl", "pipesworld-tankage:p02-net1-b6-g4-t50.pddl",
         "movie:prob03.pddl", "miconic:s25-0.pddl",
         "airport:p33-airport4halfMUC-p10.pddl",
         "scanalyzer-opt11-strips:p06.pddl", "mystery:prob08.pddl",
         "movie:prob02.pddl",
         "movie:prob18.pddl", "driverlog:p16.pddl", "gripper:prob07.pddl",
         "openstacks-opt08-strips:p03.pddl", "miconic:s15-1.pddl",
         "satellite:p25-HC-pfile5.pddl", "openstacks-opt14-strips:p30_1.pddl",
         "miconic:s22-4.pddl", "organic-synthesis-split-opt18-strips:p03.pddl",
         "openstacks-opt14-strips:p50_1.pddl", "freecell:probfreecell-7-2.pddl",
         "tpp:p28.pddl", "elevators-opt08-strips:p16.pddl",
         "mystery:prob19.pddl",
         "elevators-opt08-strips:p30.pddl", "openstacks-opt08-strips:p16.pddl",
         "psr-small:p30-s46-n3-l5-f50.pddl", "gripper:prob09.pddl",
         "satellite:p32-HC-pfile12.pddl", "transport-opt08-strips:p25.pddl",
         "sokoban-opt11-strips:p09.pddl", "openstacks-opt11-strips:p01.pddl",
         "blocks:probBLOCKS-10-1.pddl", "satellite:p10-pfile10.pddl",
         "ged-opt14-strips:d-1-4.pddl", "caldera-opt18-adl:p07.pddl",
         "satellite:p12-pfile12.pddl", "depot:p16.pddl",
         "nomystery-opt11-strips:p20.pddl",
         "barman-opt14-strips:p435-2.pddl",
         "floortile-opt14-strips:p03-4-4-2.pddl",
         "blocks:probBLOCKS-9-0.pddl", "parcprinter-08-strips:p09.pddl",
         "freecell:probfreecell-3-5.pddl", "freecell:probfreecell-5-1.pddl",
         "openstacks-opt08-strips:p23.pddl", "rovers:p39.pddl",
         "sokoban-opt08-strips:p24.pddl", "scanalyzer-08-strips:p27.pddl",
         "pegsol-opt11-strips:p20.pddl", "nurikabe-opt18-adl:p02.pddl",
         "psr-small:p42-s82-n3-l4-f50.pddl",
         "floortile-opt11-strips:opt-p03-005.pddl",
         "nurikabe-opt18-adl:p20.pddl", "airport:p31-airport4halfMUC-p9.pddl",
         "logistics00:probLOGISTICS-10-0.pddl",
         "parking-opt11-strips:pfile04-014.pddl",
         "barman-opt11-strips:pfile01-001.pddl", "movie:prob30.pddl",
         "miconic:s24-3.pddl",
         "rovers:p17.pddl", "parking-opt14-strips:p_18_10-01.pddl",
         "driverlog:p06.pddl",
         "floortile-opt11-strips:opt-p03-006.pddl",
         "psr-small:p40-s80-n3-l4-f10.pddl",
         "organic-synthesis-opt18-strips:p16.pddl",
         "sokoban-opt11-strips:p10.pddl",
         "driverlog:p09.pddl", "nurikabe-opt18-adl:p01.pddl",
         "pipesworld-tankage:p24-net3-b14-g5-t60.pddl",
         "floortile-opt11-strips:opt-p05-010.pddl", "mprime:prob22.pddl",
         "pathways-noneg:p22.pddl", "freecell:probfreecell-6-2.pddl",
         "transport-opt11-strips:p09.pddl", "scanalyzer-08-strips:p01.pddl",
         "transport-opt11-strips:p02.pddl", "zenotravel:p14.pddl",
         "pipesworld-notankage:p14-net2-b12-g5.pddl",
         "pipesworld-notankage:p36-net4-b18-g6.pddl",
         "pegsol-08-strips:p12.pddl",
         "storage:p14.pddl", "parcprinter-opt11-strips:p07.pddl",
         "miconic:s2-1.pddl",
         "sokoban-opt08-strips:p30.pddl", "pathways-noneg:p21.pddl",
         "psr-small:p08-s12-n1-l5-f10.pddl", "nurikabe-opt18-adl:p08.pddl",
         "mystery:prob05.pddl", "driverlog:p20.pddl",
         "settlers-opt18-adl:p17.pddl",
         "nomystery-opt11-strips:p19.pddl",
         "pipesworld-tankage:p41-net5-b22-g2-t20.pddl",
         "pipesworld-notankage:p35-net4-b18-g4.pddl", "grid:prob01.pddl",
         "woodworking-opt08-strips:p30.pddl", "settlers-opt18-adl:p18.pddl",
         "satellite:p33-HC-pfile13.pddl", "blocks:probBLOCKS-16-1.pddl",
         "nomystery-opt11-strips:p16.pddl",
         "childsnack-opt14-strips:child-snack_pfile10-2.pddl",
         "pathways-noneg:p06.pddl",
         "miconic:s18-2.pddl", "miconic:s21-0.pddl", "movie:prob06.pddl",
         "freecell:probfreecell-7-3.pddl", "psr-small:p41-s81-n3-l4-f30.pddl",
         "logistics00:probLOGISTICS-5-0.pddl", "mprime:prob03.pddl",
         "woodworking-opt08-strips:p01.pddl", "miconic:s16-0.pddl",
         "childsnack-opt14-strips:child-snack_pfile03.pddl", "depot:p21.pddl",
         "nomystery-opt11-strips:p13.pddl", "freecell:p02.pddl",
         "organic-synthesis-opt18-strips:p10.pddl",
         "floortile-opt14-strips:p03-4-3-2.pddl",
         "parcprinter-08-strips:p25.pddl",
         "organic-synthesis-split-opt18-strips:p11.pddl",
         "barman-opt11-strips:pfile05-020.pddl", "gripper:prob01.pddl",
         "floortile-opt11-strips:opt-p01-002.pddl", "miconic:s28-3.pddl",
         "miconic:s26-4.pddl",
         "blocks:probBLOCKS-11-0.pddl", "ged-opt14-strips:d-4-8.pddl",
         "airport:p25-airport4halfMUC-p5.pddl",
         "airport:p35-airport4halfMUC-p12.pddl",
         "caldera-opt18-adl:p12.pddl", "gripper:prob13.pddl",
         "parcprinter-08-strips:p15.pddl",
         "transport-opt14-strips:p06.pddl", "settlers-opt18-adl:p07.pddl",
         "organic-synthesis-split-opt18-strips:p09.pddl",
         "pipesworld-tankage:p10-net1-b14-g8-t50.pddl",
         "psr-small:p23-s38-n3-l3-f50.pddl",
         "parcprinter-opt11-strips:p08.pddl",
         "openstacks-opt11-strips:p13.pddl",
         "pipesworld-tankage:p12-net2-b10-g4-t60.pddl",
         "transport-opt11-strips:p18.pddl",
         "floortile-opt11-strips:opt-p10-019.pddl", "pegsol-08-strips:p28.pddl",
         "parking-opt11-strips:pfile06-021.pddl",
         "pipesworld-notankage:p33-net4-b16-g5.pddl", "tpp:p03.pddl",
         "gripper:prob08.pddl",
         "driverlog:p11.pddl", "blocks:probBLOCKS-9-2.pddl",
         "organic-synthesis-opt18-strips:p20.pddl",
         "logistics00:probLOGISTICS-6-1.pddl",
         "logistics98:prob03.pddl", "ged-opt14-strips:d-7-5.pddl",
         "parcprinter-08-strips:p13.pddl", "elevators-opt08-strips:p01.pddl",
         "miconic:s19-3.pddl", "psr-small:p13-s22-n2-l3-f50.pddl",
         "miconic:s6-2.pddl",
         "mprime:prob21.pddl", "logistics98:prob24.pddl",
         "transport-opt14-strips:p04.pddl",
         "freecell:probfreecell-2-3.pddl", "nomystery-opt11-strips:p18.pddl",
         "logistics00:probLOGISTICS-4-0.pddl",
         "psr-small:p24-s39-n3-l3-f70.pddl",
         "mprime:prob30.pddl", "openstacks-opt08-strips:p11.pddl",
         "scanalyzer-opt11-strips:p07.pddl",
         "pipesworld-tankage:p14-net2-b12-g5-t30.pddl",
         "ged-opt14-strips:d-3-4.pddl", "parking-opt14-strips:p_12_7-03.pddl",
         "pathways-noneg:p14.pddl", "ged-opt14-strips:d-2-8.pddl",
         "caldera-split-opt18-adl:p10.pddl", "pegsol-08-strips:p13.pddl",
         "miconic:s21-2.pddl",
         "pipesworld-notankage:p13-net2-b12-g3.pddl",
         "pipesworld-notankage:p15-net2-b14-g4.pddl", "logistics98:prob31.pddl",
         "airport:p02-airport1-p1.pddl", "openstacks-opt14-strips:p25_1.pddl",
         "blocks:probBLOCKS-15-0.pddl", "miconic:s26-1.pddl",
         "woodworking-opt08-strips:p17.pddl", "miconic:s24-4.pddl",
         "mprime:prob04.pddl",
         "nomystery-opt11-strips:p02.pddl", "mystery:prob10.pddl",
         "mystery:prob22.pddl",
         "woodworking-opt08-strips:p12.pddl", "zenotravel:p08.pddl",
         "mprime:prob25.pddl",
         "mystery:prob02.pddl", "movie:prob08.pddl",
         "parcprinter-08-strips:p23.pddl",
         "pipesworld-notankage:p39-net4-b22-g7.pddl",
         "parcprinter-08-strips:p18.pddl",
         "floortile-opt14-strips:p03-5-4-2.pddl",
         "airport:p26-airport4halfMUC-p6.pddl",
         "miconic:s6-1.pddl", "hiking-opt14-strips:ptesting-2-4-4.pddl",
         "psr-small:p46-s97-n5-l2-f30.pddl", "visitall-opt14-strips:p-1-9.pddl",
         "freecell:p11.pddl", "movie:prob26.pddl",
         "pegsol-opt11-strips:p09.pddl",
         "organic-synthesis-opt18-strips:p11.pddl",
         "woodworking-opt08-strips:p05.pddl",
         "scanalyzer-opt11-strips:p11.pddl", "airport:p18-airport3-p6.pddl",
         "airport:p05-airport2-p1.pddl", "pegsol-opt11-strips:p16.pddl",
         "elevators-opt08-strips:p02.pddl", "nomystery-opt11-strips:p06.pddl",
         "rovers:p30.pddl", "barman-opt11-strips:pfile02-006.pddl",
         "freecell:probfreecell-5-5.pddl", "gripper:prob15.pddl",
         "freecell:probfreecell-13-4.pddl", "elevators-opt08-strips:p15.pddl",
         "satellite:p05-pfile5.pddl",
         "pipesworld-notankage:p26-net3-b16-g7.pddl",
         "parcprinter-opt11-strips:p02.pddl", "miconic:s17-1.pddl",
         "woodworking-opt11-strips:p09.pddl", "scanalyzer-08-strips:p22.pddl",
         "airport:p34-airport4halfMUC-p11.pddl", "miconic:s19-1.pddl",
         "miconic:s18-0.pddl",
         "organic-synthesis-split-opt18-strips:p14.pddl",
         "satellite:p02-pfile2.pddl",
         "logistics98:prob08.pddl", "miconic:s30-1.pddl",
         "elevators-opt11-strips:p08.pddl",
         "tpp:p16.pddl", "miconic:s27-3.pddl", "driverlog:p02.pddl",
         "miconic:s5-4.pddl",
         "elevators-opt08-strips:p24.pddl", "scanalyzer-08-strips:p28.pddl",
         "psr-small:p35-s57-n5-l2-f30.pddl",
         "hiking-opt14-strips:ptesting-2-2-8.pddl",
         "transport-opt11-strips:p13.pddl", "sokoban-opt11-strips:p19.pddl",
         "openstacks-opt14-strips:p25_3.pddl", "mystery:prob26.pddl",
         "depot:p12.pddl",
         "driverlog:p10.pddl", "mprime:prob08.pddl", "zenotravel:p05.pddl",
         "openstacks-opt08-strips:p27.pddl", "caldera-opt18-adl:p15.pddl",
         "pipesworld-notankage:p01-net1-b6-g2.pddl",
         "transport-opt14-strips:p03.pddl",
         "pegsol-08-strips:p29.pddl", "mprime:prob12.pddl",
         "transport-opt14-strips:p18.pddl",
         "organic-synthesis-split-opt18-strips:p06.pddl",
         "scanalyzer-08-strips:p04.pddl",
         "transport-opt08-strips:p27.pddl", "satellite:p15-pfile15.pddl",
         "pipesworld-tankage:p11-net2-b10-g2-t30.pddl",
         "logistics98:prob06.pddl",
         "miconic:s24-2.pddl", "pipesworld-notankage:p40-net4-b22-g8.pddl",
         "scanalyzer-08-strips:p08.pddl", "psr-small:p27-s42-n3-l4-f50.pddl",
         "miconic:s10-2.pddl", "settlers-opt18-adl:p11.pddl", "tpp:p18.pddl",
         "freecell:probfreecell-3-4.pddl",
         "airport:p24-airport4halfMUC-p4.pddl",
         "miconic:s14-2.pddl", "freecell:probfreecell-11-2.pddl",
         "miconic:s28-0.pddl",
         "psr-small:p43-s83-n3-l4-f70.pddl", "transport-opt08-strips:p16.pddl",
         "barman-opt14-strips:p536-1.pddl", "parcprinter-opt11-strips:p14.pddl",
         "miconic:s18-4.pddl", "openstacks-opt11-strips:p07.pddl",
         "depot:p02.pddl",
         "pathways-noneg:p08.pddl", "miconic:s15-3.pddl",
         "visitall-opt11-strips:problem03-full.pddl", "miconic:s6-4.pddl",
         "openstacks-opt08-strips:p14.pddl", "mystery:prob15.pddl",
         "settlers-opt18-adl:p13.pddl", "caldera-split-opt18-adl:p09.pddl",
         "pipesworld-notankage:p05-net1-b10-g4.pddl", "miconic:s29-4.pddl",
         "parcprinter-opt11-strips:p17.pddl",
         "pipesworld-tankage:p03-net1-b8-g3-t80.pddl",
         "barman-opt14-strips:p739-1.pddl", "freecell:probfreecell-8-5.pddl",
         "nurikabe-opt18-adl:p16.pddl", "freecell:p03.pddl",
         "ged-opt14-strips:d-2-3.pddl",
         "openstacks-opt14-strips:p30_3.pddl",
         "barman-opt14-strips:p638-3.pddl",
         "openstacks-opt11-strips:p05.pddl", "psr-small:p02-s5-n1-l3-f30.pddl",
         "miconic:s1-0.pddl", "miconic:s16-3.pddl",
         "parking-opt11-strips:pfile05-018.pddl",
         "pathways-noneg:p05.pddl", "storage:p13.pddl",
         "freecell:probfreecell-7-5.pddl",
         "miconic:s6-3.pddl", "openstacks-opt08-strips:p06.pddl",
         "tpp:p07.pddl",
         "psr-small:p01-s2-n1-l2-f50.pddl", "visitall-opt14-strips:p-1-15.pddl",
         "caldera-split-opt18-adl:p02.pddl",
         "pipesworld-tankage:p07-net1-b12-g5-t80.pddl",
         "sokoban-opt11-strips:p01.pddl", "openstacks-opt11-strips:p09.pddl",
         "nurikabe-opt18-adl:p07.pddl", "freecell:probfreecell-6-5.pddl",
         "elevators-opt08-strips:p09.pddl",
         "pipesworld-notankage:p44-net5-b24-g5.pddl",
         "parking-opt14-strips:p_14_8-01.pddl",
         "organic-synthesis-split-opt18-strips:p12.pddl", "mprime:prob09.pddl",
         "freecell:probfreecell-3-1.pddl",
         "childsnack-opt14-strips:child-snack_pfile03-2.pddl",
         "woodworking-opt11-strips:p15.pddl", "pathways-noneg:p09.pddl",
         "psr-small:p22-s37-n3-l3-f30.pddl", "barman-opt14-strips:p839-2.pddl",
         "blocks:probBLOCKS-8-2.pddl", "barman-opt11-strips:pfile01-004.pddl",
         "parking-opt14-strips:p_18_10-04.pddl",
         "parcprinter-opt11-strips:p01.pddl",
         "freecell:p10.pddl", "miconic:s18-3.pddl", "mystery:prob27.pddl",
         "parcprinter-08-strips:p01.pddl", "miconic:s21-3.pddl",
         "freecell:p07.pddl",
         "depot:p14.pddl", "tpp:p26.pddl", "visitall-opt14-strips:p-1-6.pddl",
         "blocks:probBLOCKS-6-2.pddl", "parking-opt14-strips:p_12_7-04.pddl",
         "parcprinter-08-strips:p30.pddl", "mprime:prob24.pddl",
         "blocks:probBLOCKS-11-1.pddl",
         "woodworking-opt11-strips:p13.pddl", "logistics98:prob21.pddl",
         "miconic:s12-2.pddl",
         "mprime:prob17.pddl",
         "childsnack-opt14-strips:child-snack_pfile07.pddl",
         "nomystery-opt11-strips:p10.pddl", "mystery:prob01.pddl",
         "parcprinter-08-strips:p22.pddl", "visitall-opt14-strips:p-1-8.pddl",
         "settlers-opt18-adl:p02.pddl", "pegsol-opt11-strips:p18.pddl",
         "visitall-opt14-strips:p-1-16.pddl", "miconic:s5-1.pddl",
         "organic-synthesis-opt18-strips:p01.pddl",
         "pipesworld-notankage:p12-net2-b10-g4.pddl",
         "elevators-opt11-strips:p20.pddl",
         "miconic:s2-2.pddl", "floortile-opt11-strips:opt-p04-008.pddl",
         "freecell:probfreecell-5-3.pddl",
         "visitall-opt11-strips:problem09-half.pddl",
         "depot:p11.pddl", "logistics98:prob10.pddl",
         "elevators-opt08-strips:p28.pddl",
         "pipesworld-notankage:p30-net3-b20-g8.pddl", "freecell:p14.pddl",
         "floortile-opt14-strips:p01-5-5-2.pddl",
         "freecell:probfreecell-13-1.pddl",
         "pipesworld-notankage:p10-net1-b14-g8.pddl",
         "blocks:probBLOCKS-9-1.pddl",
         "elevators-opt08-strips:p19.pddl", "sokoban-opt11-strips:p12.pddl",
         "logistics00:probLOGISTICS-13-0.pddl",
         "openstacks-opt14-strips:p35_2.pddl",
         "settlers-opt18-adl:p01.pddl", "miconic:s11-0.pddl",
         "grid:prob02.pddl",
         "elevators-opt08-strips:p08.pddl", "sokoban-opt11-strips:p16.pddl",
         "hiking-opt14-strips:ptesting-1-2-3.pddl", "mystery:prob25.pddl",
         "rovers:p25.pddl",
         "woodworking-opt08-strips:p23.pddl",
         "parcprinter-opt11-strips:p20.pddl",
         "parcprinter-08-strips:p12.pddl",
         "parking-opt11-strips:pfile04-016.pddl",
         "woodworking-opt08-strips:p09.pddl", "miconic:s20-2.pddl",
         "sokoban-opt08-strips:p29.pddl", "movie:prob16.pddl",
         "airport:p39-airport5MUC-p4.pddl", "nomystery-opt11-strips:p17.pddl",
         "parcprinter-opt11-strips:p04.pddl",
         "barman-opt11-strips:pfile03-011.pddl",
         "logistics00:probLOGISTICS-5-1.pddl",
         "logistics00:probLOGISTICS-12-1.pddl",
         "caldera-split-opt18-adl:p03.pddl", "miconic:s17-4.pddl",
         "driverlog:p04.pddl",
         "caldera-opt18-adl:p18.pddl", "scanalyzer-08-strips:p16.pddl",
         "woodworking-opt08-strips:p27.pddl", "sokoban-opt11-strips:p02.pddl",
         "pipesworld-tankage:p50-net5-b30-g8-t50.pddl", "miconic:s5-0.pddl",
         "depot:p05.pddl",
         "psr-small:p48-s101-n5-l3-f30.pddl", "parcprinter-08-strips:p14.pddl",
         "transport-opt14-strips:p02.pddl", "rovers:p32.pddl",
         "woodworking-opt11-strips:p03.pddl", "storage:p19.pddl",
         "elevators-opt11-strips:p03.pddl", "freecell:probfreecell-10-2.pddl",
         "parcprinter-opt11-strips:p06.pddl", "movie:prob07.pddl",
         "logistics00:probLOGISTICS-11-1.pddl", "miconic:s16-1.pddl",
         "scanalyzer-08-strips:p15.pddl", "blocks:probBLOCKS-4-1.pddl",
         "miconic:s8-4.pddl",
         "airport:p32-airport4halfMUC-p10.pddl", "depot:p20.pddl",
         "airport:p15-airport3-p3.pddl", "mystery:prob21.pddl",
         "gripper:prob10.pddl",
         "transport-opt08-strips:p17.pddl", "logistics98:prob22.pddl",
         "elevators-opt08-strips:p27.pddl", "scanalyzer-opt11-strips:p02.pddl",
         "pegsol-opt11-strips:p01.pddl", "transport-opt08-strips:p24.pddl",
         "miconic:s8-2.pddl", "organic-synthesis-split-opt18-strips:p20.pddl",
         "organic-synthesis-opt18-strips:p18.pddl", "movie:prob19.pddl",
         "barman-opt14-strips:p536-3.pddl",
         "floortile-opt14-strips:p02-6-4-2.pddl",
         "pipesworld-tankage:p47-net5-b28-g5-t50.pddl",
         "transport-opt08-strips:p08.pddl",
         "miconic:s12-1.pddl", "floortile-opt11-strips:opt-p02-003.pddl",
         "openstacks-opt08-strips:p29.pddl", "transport-opt08-strips:p04.pddl",
         "organic-synthesis-split-opt18-strips:p17.pddl",
         "sokoban-opt08-strips:p08.pddl",
         "woodworking-opt11-strips:p01.pddl",
         "woodworking-opt11-strips:p16.pddl",
         "airport:p19-airport3-p6.pddl", "mprime:prob16.pddl",
         "visitall-opt11-strips:problem11-half.pddl",
         "barman-opt11-strips:pfile05-019.pddl",
         "freecell:probfreecell-4-1.pddl", "nomystery-opt11-strips:p07.pddl",
         "visitall-opt11-strips:problem08-half.pddl",
         "scanalyzer-08-strips:p30.pddl",
         "psr-small:p20-s34-n3-l2-f50.pddl", "sokoban-opt11-strips:p14.pddl",
         "visitall-opt14-strips:p-1-18.pddl",
         "scanalyzer-opt11-strips:p04.pddl",
         "freecell:probfreecell-8-2.pddl", "mystery:prob24.pddl",
         "rovers:p22.pddl",
         "airport:p49-airport5MUC-p10.pddl", "transport-opt08-strips:p07.pddl",
         "elevators-opt11-strips:p16.pddl", "blocks:probBLOCKS-17-0.pddl",
         "organic-synthesis-opt18-strips:p07.pddl", "miconic:s14-3.pddl",
         "pathways-noneg:p23.pddl", "blocks:probBLOCKS-5-2.pddl",
         "tpp:p04.pddl",
         "floortile-opt14-strips:p03-6-5-2.pddl",
         "pipesworld-tankage:p15-net2-b14-g4-t30.pddl",
         "openstacks-opt08-strips:p20.pddl",
         "openstacks-opt14-strips:p20_1.pddl", "sokoban-opt08-strips:p05.pddl",
         "satellite:p17-pfile17.pddl",
         "organic-synthesis-opt18-strips:p13.pddl",
         "openstacks-opt11-strips:p08.pddl", "scanalyzer-08-strips:p18.pddl",
         "zenotravel:p10.pddl", "satellite:p08-pfile8.pddl",
         "openstacks-opt11-strips:p04.pddl", "pegsol-08-strips:p06.pddl",
         "ged-opt14-strips:d-8-9.pddl", "parcprinter-08-strips:p24.pddl",
         "transport-opt11-strips:p12.pddl", "openstacks-opt08-strips:p17.pddl",
         "elevators-opt11-strips:p04.pddl", "depot:p22.pddl",
         "settlers-opt18-adl:p09.pddl",
         "childsnack-opt14-strips:child-snack_pfile05.pddl",
         "miconic:s9-2.pddl",
         "airport:p43-airport5MUC-p5.pddl",
         "pipesworld-notankage:p22-net3-b12-g4.pddl",
         "elevators-opt08-strips:p03.pddl", "visitall-opt14-strips:p-05-8.pddl",
         "miconic:s23-1.pddl", "freecell:probfreecell-6-1.pddl",
         "miconic:s26-0.pddl",
         "sokoban-opt08-strips:p06.pddl", "pegsol-08-strips:p18.pddl",
         "satellite:p28-HC-pfile8.pddl", "parcprinter-opt11-strips:p15.pddl",
         "openstacks-opt11-strips:p10.pddl", "caldera-split-opt18-adl:p05.pddl",
         "visitall-opt14-strips:p-1-5.pddl", "freecell:p04.pddl",
         "parking-opt11-strips:pfile04-013.pddl",
         "pegsol-opt11-strips:p13.pddl",
         "tpp:p02.pddl", "openstacks-opt14-strips:p45_1.pddl",
         "rovers:p08.pddl",
         "scanalyzer-08-strips:p19.pddl", "transport-opt14-strips:p10.pddl",
         "pipesworld-tankage:p25-net3-b16-g5-t60.pddl",
         "elevators-opt11-strips:p07.pddl",
         "psr-small:p18-s31-n2-l5-f70.pddl", "storage:p22.pddl",
         "movie:prob12.pddl",
         "elevators-opt08-strips:p25.pddl", "mprime:prob01.pddl",
         "parking-opt14-strips:p_14_8-02.pddl",
         "logistics00:probLOGISTICS-7-0.pddl",
         "scanalyzer-08-strips:p14.pddl", "miconic:s5-3.pddl",
         "openstacks-opt11-strips:p12.pddl", "parcprinter-08-strips:p11.pddl",
         "mystery:prob11.pddl", "movie:prob25.pddl",
         "caldera-opt18-adl:p01.pddl",
         "tpp:p12.pddl", "parcprinter-opt11-strips:p18.pddl",
         "sokoban-opt08-strips:p21.pddl",
         "freecell:probfreecell-4-4.pddl",
         "organic-synthesis-split-opt18-strips:p01.pddl",
         "woodworking-opt11-strips:p12.pddl",
         "woodworking-opt11-strips:p06.pddl",
         "transport-opt08-strips:p28.pddl", "miconic:s9-1.pddl",
         "barman-opt11-strips:pfile03-012.pddl",
         "psr-small:p03-s7-n1-l3-f70.pddl",
         "sokoban-opt11-strips:p07.pddl", "miconic:s11-2.pddl",
         "parking-opt11-strips:pfile04-015.pddl",
         "elevators-opt08-strips:p05.pddl",
         "driverlog:p13.pddl", "logistics00:probLOGISTICS-9-1.pddl",
         "parking-opt11-strips:pfile05-017.pddl",
         "barman-opt11-strips:pfile01-003.pddl",
         "miconic:s12-0.pddl", "hiking-opt14-strips:ptesting-2-4-6.pddl",
         "miconic:s4-3.pddl",
         "parcprinter-08-strips:p03.pddl", "sokoban-opt11-strips:p20.pddl",
         "psr-small:p12-s21-n2-l3-f30.pddl",
         "woodworking-opt11-strips:p02.pddl",
         "miconic:s7-3.pddl", "transport-opt11-strips:p07.pddl",
         "transport-opt08-strips:p20.pddl", "miconic:s1-1.pddl",
         "rovers:p33.pddl",
         "rovers:p05.pddl", "elevators-opt11-strips:p18.pddl",
         "pathways-noneg:p28.pddl",
         "pipesworld-tankage:p27-net3-b18-g6-t70.pddl",
         "openstacks-opt11-strips:p18.pddl",
         "parking-opt11-strips:pfile08-030.pddl",
         "parcprinter-opt11-strips:p16.pddl",
         "elevators-opt08-strips:p23.pddl",
         "childsnack-opt14-strips:child-snack_pfile02-2.pddl",
         "openstacks-opt08-strips:p10.pddl", "mprime:prob27.pddl",
         "movie:prob01.pddl",
         "logistics00:probLOGISTICS-5-2.pddl", "freecell:probfreecell-5-2.pddl",
         "satellite:p18-pfile18.pddl", "parking-opt14-strips:p_14_8-04.pddl",
         "floortile-opt14-strips:p02-5-5-2.pddl",
         "pegsol-opt11-strips:p17.pddl",
         "airport:p47-airport5MUC-p8.pddl", "settlers-opt18-adl:p20.pddl",
         "nurikabe-opt18-adl:p14.pddl", "transport-opt11-strips:p03.pddl",
         "transport-opt14-strips:p05.pddl", "miconic:s27-4.pddl",
         "logistics00:probLOGISTICS-14-0.pddl",
         "woodworking-opt08-strips:p10.pddl",
         "miconic:s11-1.pddl", "rovers:p19.pddl", "miconic:s10-1.pddl",
         "mprime:prob28.pddl",
         "zenotravel:p18.pddl", "openstacks-opt14-strips:p35_1.pddl",
         "woodworking-opt08-strips:p22.pddl", "storage:p18.pddl",
         "airport:p37-airport5MUC-p3.pddl", "miconic:s16-4.pddl",
         "freecell:probfreecell-5-4.pddl", "sokoban-opt11-strips:p15.pddl",
         "airport:p14-airport3-p3.pddl", "mprime:prob18.pddl",
         "freecell:probfreecell-10-4.pddl", "transport-opt11-strips:p20.pddl",
         "caldera-opt18-adl:p19.pddl",
         "childsnack-opt14-strips:child-snack_pfile04-2.pddl",
         "rovers:p38.pddl", "airport:p48-airport5MUC-p9.pddl",
         "pathways-noneg:p01.pddl",
         "pipesworld-tankage:p16-net2-b14-g6-t80.pddl", "miconic:s23-0.pddl",
         "woodworking-opt08-strips:p07.pddl", "scanalyzer-08-strips:p21.pddl",
         "sokoban-opt08-strips:p22.pddl", "logistics00:probLOGISTICS-6-0.pddl",
         "woodworking-opt08-strips:p29.pddl",
         "openstacks-opt11-strips:p20.pddl",
         "nurikabe-opt18-adl:p03.pddl", "pegsol-opt11-strips:p14.pddl",
         "logistics98:prob32.pddl", "psr-small:p09-s13-n1-l5-f30.pddl",
         "pathways-noneg:p30.pddl", "rovers:p28.pddl",
         "transport-opt08-strips:p03.pddl",
         "airport:p07-airport2-p2.pddl",
         "floortile-opt14-strips:p03-6-4-2.pddl",
         "sokoban-opt08-strips:p27.pddl", "nurikabe-opt18-adl:p06.pddl",
         "miconic:s12-4.pddl",
         "pegsol-opt11-strips:p15.pddl", "pegsol-08-strips:p07.pddl",
         "satellite:p06-pfile6.pddl", "rovers:p12.pddl", "freecell:p13.pddl",
         "satellite:p27-HC-pfile7.pddl", "airport:p01-airport1-p1.pddl",
         "logistics98:prob14.pddl", "organic-synthesis-opt18-strips:p06.pddl",
         "transport-opt11-strips:p15.pddl",
         "parking-opt14-strips:p_16_9-04.pddl",
         "hiking-opt14-strips:ptesting-2-2-6.pddl", "logistics98:prob17.pddl",
         "settlers-opt18-adl:p04.pddl", "elevators-opt11-strips:p01.pddl",
         "elevators-opt08-strips:p04.pddl", "freecell:p08.pddl",
         "scanalyzer-opt11-strips:p20.pddl",
         "organic-synthesis-split-opt18-strips:p02.pddl",
         "miconic:s20-3.pddl", "miconic:s7-4.pddl",
         "pipesworld-tankage:p13-net2-b12-g3-t70.pddl",
         "satellite:p31-HC-pfile11.pddl",
         "organic-synthesis-opt18-strips:p04.pddl",
         "parcprinter-08-strips:p07.pddl",
         "woodworking-opt11-strips:p18.pddl", "blocks:probBLOCKS-5-1.pddl",
         "barman-opt11-strips:pfile04-014.pddl", "logistics98:prob13.pddl",
         "pipesworld-tankage:p01-net1-b6-g2-t50.pddl", "driverlog:p08.pddl",
         "scanalyzer-opt11-strips:p16.pddl", "blocks:probBLOCKS-5-0.pddl",
         "caldera-opt18-adl:p14.pddl", "logistics98:prob23.pddl",
         "elevators-opt08-strips:p22.pddl",
         "barman-opt11-strips:pfile04-013.pddl",
         "miconic:s27-0.pddl", "pipesworld-notankage:p17-net2-b16-g5.pddl",
         "pathways-noneg:p12.pddl", "pegsol-08-strips:p20.pddl",
         "logistics00:probLOGISTICS-8-0.pddl", "mprime:prob05.pddl",
         "visitall-opt11-strips:problem10-half.pddl", "tpp:p20.pddl",
         "pipesworld-tankage:p48-net5-b28-g7-t50.pddl", "depot:p08.pddl",
         "parking-opt14-strips:p_20_11-03.pddl",
         "woodworking-opt08-strips:p14.pddl",
         "caldera-split-opt18-adl:p04.pddl", "parcprinter-08-strips:p26.pddl",
         "caldera-opt18-adl:p04.pddl", "pegsol-08-strips:p17.pddl",
         "woodworking-opt08-strips:p20.pddl", "miconic:s27-1.pddl",
         "barman-opt11-strips:pfile02-008.pddl", "logistics98:prob04.pddl",
         "caldera-split-opt18-adl:p15.pddl",
         "pipesworld-notankage:p50-net5-b30-g8.pddl",
         "barman-opt11-strips:pfile02-007.pddl",
         "openstacks-opt08-strips:p02.pddl",
         "storage:p28.pddl", "scanalyzer-opt11-strips:p03.pddl",
         "childsnack-opt14-strips:child-snack_pfile09.pddl", "rovers:p24.pddl",
         "pipesworld-tankage:p26-net3-b16-g7-t70.pddl",
         "parcprinter-08-strips:p08.pddl",
         "parking-opt14-strips:p_12_7-01.pddl", "rovers:p21.pddl",
         "psr-small:p17-s30-n2-l5-f50.pddl", "miconic:s29-2.pddl",
         "pipesworld-tankage:p23-net3-b14-g3-t60.pddl", "zenotravel:p07.pddl",
         "psr-small:p21-s35-n3-l2-f70.pddl",
         "floortile-opt14-strips:p03-5-3-2.pddl",
         "freecell:probfreecell-12-3.pddl", "movie:prob04.pddl",
         "logistics98:prob02.pddl",
         "logistics98:prob11.pddl", "tpp:p23.pddl",
         "sokoban-opt08-strips:p25.pddl",
         "miconic:s5-2.pddl", "blocks:probBLOCKS-12-1.pddl",
         "parking-opt14-strips:p_18_10-02.pddl",
         "scanalyzer-opt11-strips:p14.pddl",
         "scanalyzer-opt11-strips:p05.pddl", "caldera-opt18-adl:p02.pddl",
         "openstacks-opt08-strips:p30.pddl", "nomystery-opt11-strips:p11.pddl",
         "driverlog:p07.pddl", "parcprinter-opt11-strips:p12.pddl",
         "parcprinter-opt11-strips:p13.pddl", "mystery:prob17.pddl",
         "airport:p21-airport4halfMUC-p2.pddl", "logistics98:prob30.pddl",
         "caldera-split-opt18-adl:p01.pddl", "psr-small:p04-s8-n1-l4-f10.pddl",
         "tpp:p11.pddl",
         "pipesworld-tankage:p40-net4-b22-g8-t50.pddl",
         "openstacks-opt11-strips:p06.pddl",
         "tpp:p25.pddl", "pegsol-08-strips:p16.pddl",
         "organic-synthesis-split-opt18-strips:p18.pddl",
         "logistics00:probLOGISTICS-4-2.pddl",
         "nomystery-opt11-strips:p15.pddl",
         "visitall-opt14-strips:p-05-6.pddl", "blocks:probBLOCKS-11-2.pddl",
         "mprime:prob06.pddl", "parcprinter-08-strips:p17.pddl",
         "movie:prob21.pddl",
         "floortile-opt11-strips:opt-p01-001.pddl",
         "elevators-opt08-strips:p12.pddl",
         "mprime:prob10.pddl", "transport-opt14-strips:p19.pddl",
         "pipesworld-tankage:p32-net4-b14-g5-t30.pddl",
         "openstacks-opt11-strips:p02.pddl",
         "movie:prob13.pddl", "sokoban-opt11-strips:p17.pddl",
         "miconic:s9-4.pddl",
         "psr-small:p29-s45-n3-l5-f30.pddl", "scanalyzer-08-strips:p10.pddl",
         "freecell:p06.pddl", "elevators-opt08-strips:p14.pddl",
         "satellite:p04-pfile4.pddl",
         "psr-small:p33-s51-n4-l2-f70.pddl", "transport-opt08-strips:p18.pddl",
         "rovers:p20.pddl", "satellite:p16-pfile16.pddl",
         "airport:p41-airport5MUC-p4.pddl",
         "mystery:prob04.pddl", "freecell:p05.pddl",
         "woodworking-opt11-strips:p07.pddl",
         "mystery:prob13.pddl", "freecell:probfreecell-6-3.pddl",
         "parking-opt11-strips:pfile05-019.pddl",
         "openstacks-opt08-strips:p12.pddl",
         "hiking-opt14-strips:ptesting-2-2-7.pddl",
         "pegsol-opt11-strips:p12.pddl",
         "freecell:probfreecell-4-3.pddl", "scanalyzer-08-strips:p07.pddl",
         "mystery:prob14.pddl", "grid:prob04.pddl", "mystery:prob29.pddl",
         "pipesworld-tankage:p05-net1-b10-g4-t50.pddl",
         "blocks:probBLOCKS-13-1.pddl",
         "miconic:s19-4.pddl", "pathways-noneg:p27.pddl",
         "airport:p03-airport1-p2.pddl",
         "parcprinter-08-strips:p04.pddl", "rovers:p40.pddl",
         "woodworking-opt08-strips:p21.pddl", "mprime:prob32.pddl",
         "elevators-opt08-strips:p26.pddl", "zenotravel:p19.pddl",
         "pipesworld-tankage:p44-net5-b24-g5-t80.pddl",
         "floortile-opt11-strips:opt-p06-011.pddl", "depot:p13.pddl",
         "pegsol-08-strips:p10.pddl", "woodworking-opt08-strips:p18.pddl",
         "rovers:p14.pddl",
         "parcprinter-opt11-strips:p03.pddl",
         "pipesworld-tankage:p39-net4-b22-g7-t50.pddl",
         "depot:p09.pddl", "zenotravel:p06.pddl",
         "pegsol-opt11-strips:p11.pddl",
         "transport-opt08-strips:p05.pddl",
         "parking-opt14-strips:p_12_7-02.pddl",
         "nurikabe-opt18-adl:p17.pddl", "sokoban-opt11-strips:p04.pddl",
         "miconic:s16-2.pddl",
         "pegsol-08-strips:p21.pddl", "airport:p28-airport4halfMUC-p7.pddl",
         "pegsol-08-strips:p15.pddl", "airport:p38-airport5MUC-p3.pddl",
         "parcprinter-08-strips:p29.pddl", "sokoban-opt11-strips:p08.pddl",
         "pipesworld-tankage:p36-net4-b18-g6-t90.pddl",
         "psr-small:p26-s41-n3-l4-f30.pddl",
         "parking-opt11-strips:pfile06-022.pddl", "miconic:s4-0.pddl",
         "visitall-opt11-strips:problem06-full.pddl",
         "sokoban-opt08-strips:p12.pddl",
         "airport:p06-airport2-p2.pddl",
         "pipesworld-notankage:p41-net5-b22-g2.pddl",
         "openstacks-opt08-strips:p19.pddl", "rovers:p31.pddl",
         "visitall-opt11-strips:problem09-full.pddl",
         "floortile-opt14-strips:p02-5-4-2.pddl", "caldera-opt18-adl:p09.pddl",
         "woodworking-opt11-strips:p05.pddl",
         "openstacks-opt08-strips:p22.pddl",
         "woodworking-opt08-strips:p04.pddl", "pathways-noneg:p16.pddl",
         "organic-synthesis-opt18-strips:p03.pddl", "storage:p26.pddl",
         "parcprinter-08-strips:p10.pddl", "freecell:p01.pddl",
         "freecell:probfreecell-10-3.pddl",
         "openstacks-opt14-strips:p40_2.pddl",
         "nomystery-opt11-strips:p05.pddl", "mprime:prob29.pddl",
         "transport-opt11-strips:p14.pddl", "pathways-noneg:p03.pddl",
         "visitall-opt11-strips:problem11-full.pddl",
         "transport-opt08-strips:p30.pddl",
         "freecell:probfreecell-9-3.pddl", "miconic:s8-3.pddl",
         "satellite:p21-HC-pfile1.pddl",
         "miconic:s29-1.pddl", "transport-opt14-strips:p01.pddl",
         "airport:p29-airport4halfMUC-p8.pddl",
         "floortile-opt14-strips:p01-5-4-2.pddl",
         "pegsol-opt11-strips:p06.pddl", "zenotravel:p04.pddl",
         "parcprinter-08-strips:p28.pddl", "miconic:s25-1.pddl",
         "transport-opt08-strips:p01.pddl", "caldera-split-opt18-adl:p12.pddl",
         "miconic:s1-3.pddl", "pathways-noneg:p20.pddl", "driverlog:p17.pddl",
         "logistics98:prob19.pddl",
         "childsnack-opt14-strips:child-snack_pfile04.pddl",
         "freecell:p15.pddl", "visitall-opt11-strips:problem02-full.pddl",
         "transport-opt11-strips:p10.pddl", "sokoban-opt08-strips:p16.pddl",
         "organic-synthesis-opt18-strips:p15.pddl",
         "visitall-opt11-strips:problem04-full.pddl",
         "organic-synthesis-split-opt18-strips:p07.pddl",
         "pipesworld-tankage:p45-net5-b26-g4-t50.pddl",
         "satellite:p24-HC-pfile4.pddl",
         "mystery:prob30.pddl", "logistics00:probLOGISTICS-10-1.pddl",
         "storage:p12.pddl",
         "rovers:p02.pddl", "storage:p05.pddl",
         "freecell:probfreecell-11-3.pddl",
         "floortile-opt11-strips:opt-p05-009.pddl",
         "psr-small:p25-s40-n3-l4-f10.pddl",
         "mprime:prob33.pddl", "pipesworld-tankage:p18-net2-b16-g7-t60.pddl",
         "miconic:s1-4.pddl", "pipesworld-tankage:p20-net2-b18-g8-t90.pddl",
         "freecell:probfreecell-7-4.pddl", "openstacks-opt08-strips:p24.pddl",
         "transport-opt08-strips:p19.pddl", "freecell:probfreecell-11-1.pddl",
         "childsnack-opt14-strips:child-snack_pfile02.pddl",
         "nurikabe-opt18-adl:p10.pddl",
         "pegsol-opt11-strips:p10.pddl",
         "pipesworld-tankage:p06-net1-b10-g6-t50.pddl",
         "storage:p25.pddl", "settlers-opt18-adl:p05.pddl",
         "pegsol-08-strips:p02.pddl",
         "driverlog:p03.pddl", "openstacks-opt14-strips:p40_3.pddl",
         "zenotravel:p15.pddl",
         "gripper:prob19.pddl", "airport:p36-airport5MUC-p2.pddl",
         "rovers:p10.pddl",
         "satellite:p36-HC-pfile16.pddl", "scanalyzer-08-strips:p29.pddl",
         "blocks:probBLOCKS-15-1.pddl", "logistics00:probLOGISTICS-12-0.pddl",
         "transport-opt08-strips:p29.pddl", "blocks:probBLOCKS-6-1.pddl",
         "movie:prob09.pddl",
         "miconic:s18-1.pddl", "settlers-opt18-adl:p08.pddl",
         "visitall-opt11-strips:problem06-half.pddl",
         "airport:p11-airport3-p1.pddl",
         "pathways-noneg:p13.pddl", "sokoban-opt08-strips:p28.pddl",
         "miconic:s2-4.pddl",
         "woodworking-opt08-strips:p11.pddl", "airport:p10-airport3-p1.pddl",
         "openstacks-opt08-strips:p07.pddl", "airport:p17-airport3-p5.pddl",
         "settlers-opt18-adl:p19.pddl",
         "pipesworld-tankage:p49-net5-b30-g6-t50.pddl",
         "openstacks-opt14-strips:p50_3.pddl",
         "transport-opt11-strips:p11.pddl",
         "grid:prob03.pddl", "driverlog:p14.pddl", "miconic:s20-0.pddl",
         "floortile-opt11-strips:opt-p02-004.pddl", "miconic:s25-2.pddl",
         "pipesworld-notankage:p49-net5-b30-g6.pddl",
         "transport-opt11-strips:p05.pddl",
         "parcprinter-opt11-strips:p09.pddl", "nurikabe-opt18-adl:p19.pddl",
         "parking-opt11-strips:pfile07-025.pddl",
         "pipesworld-notankage:p02-net1-b6-g4.pddl",
         "settlers-opt18-adl:p14.pddl", "miconic:s15-0.pddl",
         "nomystery-opt11-strips:p09.pddl", "freecell:probfreecell-7-1.pddl",
         "woodworking-opt08-strips:p26.pddl",
         "childsnack-opt14-strips:child-snack_pfile05-2.pddl",
         "pipesworld-notankage:p03-net1-b8-g3.pddl",
         "nomystery-opt11-strips:p03.pddl",
         "depot:p01.pddl", "floortile-opt14-strips:p01-6-4-2.pddl",
         "freecell:probfreecell-2-2.pddl", "sokoban-opt08-strips:p19.pddl",
         "storage:p17.pddl",
         "depot:p04.pddl", "transport-opt14-strips:p20.pddl",
         "visitall-opt14-strips:p-05-9.pddl", "logistics98:prob27.pddl",
         "visitall-opt14-strips:p-1-12.pddl", "satellite:p07-pfile7.pddl",
         "miconic:s13-4.pddl", "caldera-opt18-adl:p08.pddl",
         "airport:p20-airport3-p7.pddl",
         "parcprinter-opt11-strips:p05.pddl", "pegsol-08-strips:p30.pddl",
         "miconic:s7-1.pddl",
         "pipesworld-tankage:p37-net4-b20-g5-t60.pddl",
         "parcprinter-08-strips:p06.pddl",
         "mystery:prob09.pddl", "organic-synthesis-opt18-strips:p09.pddl",
         "storage:p29.pddl",
         "miconic:s23-4.pddl", "openstacks-opt14-strips:p50_2.pddl",
         "pegsol-opt11-strips:p08.pddl", "movie:prob14.pddl", "depot:p07.pddl",
         "mprime:prob13.pddl", "parking-opt14-strips:p_16_9-02.pddl",
         "scanalyzer-08-strips:p24.pddl",
         "pipesworld-tankage:p29-net3-b20-g6-t70.pddl",
         "tpp:p09.pddl", "blocks:probBLOCKS-14-1.pddl",
         "psr-small:p06-s10-n1-l4-f50.pddl",
         "storage:p04.pddl", "movie:prob17.pddl", "mprime:prob02.pddl",
         "transport-opt14-strips:p15.pddl", "airport:p42-airport5MUC-p5.pddl",
         "woodworking-opt11-strips:p17.pddl", "rovers:p01.pddl",
         "organic-synthesis-split-opt18-strips:p16.pddl", "storage:p27.pddl",
         "logistics00:probLOGISTICS-11-0.pddl",
         "pipesworld-tankage:p38-net4-b20-g7-t60.pddl",
         "openstacks-opt11-strips:p14.pddl",
         "floortile-opt14-strips:p02-4-4-2.pddl", "miconic:s30-2.pddl",
         "pipesworld-tankage:p33-net4-b16-g5-t60.pddl",
         "woodworking-opt08-strips:p06.pddl",
         "hiking-opt14-strips:ptesting-2-3-4.pddl",
         "parcprinter-opt11-strips:p10.pddl",
         "pipesworld-notankage:p27-net3-b18-g6.pddl",
         "woodworking-opt11-strips:p19.pddl",
         "psr-small:p31-s49-n4-l2-f30.pddl", "scanalyzer-08-strips:p02.pddl",
         "depot:p10.pddl",
         "ged-opt14-strips:d-2-1.pddl", "visitall-opt14-strips:p-1-7.pddl",
         "freecell:probfreecell-12-1.pddl", "nurikabe-opt18-adl:p05.pddl",
         "caldera-split-opt18-adl:p07.pddl",
         "airport:p23-airport4halfMUC-p4.pddl",
         "psr-small:p36-s65-n6-l2-f30.pddl", "miconic:s15-4.pddl",
         "hiking-opt14-strips:ptesting-1-2-4.pddl",
         "transport-opt14-strips:p12.pddl",
         "caldera-opt18-adl:p05.pddl", "ged-opt14-strips:d-1-3.pddl",
         "pipesworld-tankage:p42-net5-b22-g4-t50.pddl", "depot:p18.pddl",
         "freecell:probfreecell-2-1.pddl", "nurikabe-opt18-adl:p11.pddl",
         "freecell:probfreecell-10-1.pddl", "miconic:s24-1.pddl",
         "movie:prob29.pddl",
         "childsnack-opt14-strips:child-snack_pfile06.pddl",
         "airport:p45-airport5MUC-p6.pddl", "psr-small:p47-s98-n5-l2-f50.pddl",
         "depot:p19.pddl", "pathways-noneg:p25.pddl", "miconic:s6-0.pddl",
         "floortile-opt14-strips:p02-6-5-2.pddl",
         "openstacks-opt08-strips:p28.pddl",
         "freecell:p17.pddl", "hiking-opt14-strips:ptesting-2-4-3.pddl",
         "movie:prob24.pddl",
         "pegsol-opt11-strips:p02.pddl",
         "hiking-opt14-strips:ptesting-1-2-5.pddl",
         "pipesworld-notankage:p21-net3-b12-g2.pddl",
         "hiking-opt14-strips:ptesting-2-2-5.pddl",
         "childsnack-opt14-strips:child-snack_pfile06-2.pddl",
         "elevators-opt08-strips:p11.pddl", "woodworking-opt11-strips:p20.pddl",
         "satellite:p13-pfile13.pddl", "miconic:s29-3.pddl",
         "freecell:probfreecell-12-2.pddl",
         "organic-synthesis-split-opt18-strips:p10.pddl", "miconic:s20-1.pddl",
         "sokoban-opt08-strips:p15.pddl", "ged-opt14-strips:d-3-1.pddl",
         "movie:prob22.pddl",
         "barman-opt11-strips:pfile01-002.pddl",
         "parking-opt11-strips:pfile07-027.pddl",
         "visitall-opt14-strips:p-1-10.pddl", "ged-opt14-strips:d-8-2.pddl",
         "caldera-split-opt18-adl:p18.pddl",
         "openstacks-opt14-strips:p40_1.pddl",
         "miconic:s2-0.pddl", "scanalyzer-opt11-strips:p13.pddl",
         "logistics00:probLOGISTICS-13-1.pddl", "storage:p23.pddl",
         "airport:p44-airport5MUC-p5.pddl", "logistics98:prob18.pddl",
         "barman-opt11-strips:pfile04-015.pddl", "zenotravel:p13.pddl",
         "miconic:s13-1.pddl",
         "parcprinter-08-strips:p05.pddl", "sokoban-opt08-strips:p02.pddl",
         "elevators-opt08-strips:p10.pddl", "rovers:p18.pddl",
         "blocks:probBLOCKS-8-1.pddl",
         "gripper:prob20.pddl", "elevators-opt08-strips:p06.pddl",
         "logistics00:probLOGISTICS-7-1.pddl",
         "psr-small:p38-s78-n3-l3-f50.pddl",
         "settlers-opt18-adl:p15.pddl", "logistics98:prob16.pddl",
         "pathways-noneg:p02.pddl",
         "blocks:probBLOCKS-7-0.pddl", "pegsol-08-strips:p24.pddl",
         "scanalyzer-08-strips:p12.pddl", "ged-opt14-strips:d-8-1.pddl",
         "miconic:s1-2.pddl",
         "mystery:prob06.pddl", "tpp:p22.pddl", "gripper:prob17.pddl",
         "visitall-opt11-strips:problem07-half.pddl",
         "pipesworld-notankage:p11-net2-b10-g2.pddl",
         "hiking-opt14-strips:ptesting-2-4-5.pddl",
         "openstacks-opt11-strips:p19.pddl",
         "miconic:s26-2.pddl", "blocks:probBLOCKS-13-0.pddl",
         "freecell:p16.pddl",
         "floortile-opt11-strips:opt-p04-007.pddl",
         "floortile-opt14-strips:p01-4-3-2.pddl",
         "elevators-opt11-strips:p19.pddl", "zenotravel:p01.pddl",
         "transport-opt14-strips:p13.pddl",
         "pipesworld-notankage:p38-net4-b20-g7.pddl",
         "pipesworld-notankage:p42-net5-b22-g4.pddl", "rovers:p11.pddl",
         "pathways-noneg:p29.pddl", "pathways-noneg:p19.pddl",
         "sokoban-opt08-strips:p18.pddl",
         "tpp:p19.pddl", "elevators-opt08-strips:p20.pddl", "movie:prob05.pddl",
         "nomystery-opt11-strips:p14.pddl", "openstacks-opt08-strips:p21.pddl",
         "woodworking-opt08-strips:p02.pddl", "rovers:p16.pddl",
         "floortile-opt11-strips:opt-p06-012.pddl",
         "psr-small:p39-s79-n3-l3-f70.pddl",
         "freecell:probfreecell-8-3.pddl", "pathways-noneg:p18.pddl",
         "pegsol-08-strips:p27.pddl", "nurikabe-opt18-adl:p18.pddl",
         "visitall-opt11-strips:problem03-half.pddl",
         "childsnack-opt14-strips:child-snack_pfile01.pddl",
         "visitall-opt14-strips:p-05-5.pddl", "gripper:prob12.pddl",
         "parking-opt11-strips:pfile06-024.pddl", "pathways-noneg:p10.pddl",
         "rovers:p13.pddl",
         "nomystery-opt11-strips:p04.pddl",
         "parking-opt11-strips:pfile05-020.pddl",
         "visitall-opt11-strips:problem05-full.pddl", "logistics98:prob15.pddl",
         "pipesworld-tankage:p08-net1-b12-g7-t80.pddl",
         "airport:p12-airport3-p2.pddl",
         "nomystery-opt11-strips:p08.pddl", "parcprinter-opt11-strips:p19.pddl",
         "miconic:s22-0.pddl", "ged-opt14-strips:d-1-8.pddl",
         "pegsol-08-strips:p05.pddl",
         "transport-opt14-strips:p16.pddl", "storage:p03.pddl",
         "sokoban-opt08-strips:p10.pddl", "zenotravel:p03.pddl",
         "openstacks-opt14-strips:p45_3.pddl",
         "transport-opt08-strips:p21.pddl",
         "parking-opt14-strips:p_20_11-02.pddl", "pegsol-08-strips:p11.pddl",
         "woodworking-opt11-strips:p10.pddl",
         "woodworking-opt08-strips:p08.pddl",
         "caldera-split-opt18-adl:p11.pddl",
         "pipesworld-notankage:p16-net2-b14-g6.pddl",
         "mystery:prob07.pddl", "gripper:prob04.pddl",
         "sokoban-opt08-strips:p09.pddl",
         "parking-opt14-strips:p_18_10-03.pddl",
         "sokoban-opt08-strips:p23.pddl",
         "miconic:s7-0.pddl", "miconic:s22-3.pddl",
         "openstacks-opt14-strips:p20_3.pddl",
         "logistics98:prob12.pddl", "pipesworld-notankage:p29-net3-b20-g6.pddl",
         "pipesworld-notankage:p28-net3-b18-g7.pddl",
         "transport-opt11-strips:p17.pddl",
         "sokoban-opt11-strips:p18.pddl", "psr-small:p34-s55-n4-l3-f70.pddl",
         "gripper:prob05.pddl", "psr-small:p05-s9-n1-l4-f30.pddl",
         "miconic:s30-3.pddl",
         "miconic:s17-0.pddl", "pegsol-08-strips:p22.pddl",
         "freecell:probfreecell-12-4.pddl",
         "floortile-opt14-strips:p01-4-4-2.pddl",
         "logistics00:probLOGISTICS-15-0.pddl",
         "sokoban-opt08-strips:p20.pddl",
         "pipesworld-notankage:p18-net2-b16-g7.pddl",
         "driverlog:p19.pddl", "logistics00:probLOGISTICS-14-1.pddl",
         "satellite:p30-HC-pfile10.pddl",
         "parking-opt11-strips:pfile03-011.pddl",
         "rovers:p34.pddl", "mprime:prob15.pddl", "miconic:s9-3.pddl",
         "psr-small:p15-s24-n2-l4-f10.pddl", "settlers-opt18-adl:p06.pddl",
         "satellite:p01-pfile1.pddl", "movie:prob27.pddl",
         "pipesworld-tankage:p30-net3-b20-g8-t70.pddl", "rovers:p36.pddl",
         "gripper:prob16.pddl", "transport-opt11-strips:p04.pddl",
         "airport:p22-airport4halfMUC-p3.pddl",
         "visitall-opt14-strips:p-1-13.pddl",
         "scanalyzer-opt11-strips:p12.pddl", "logistics98:prob20.pddl",
         "storage:p06.pddl",
         "elevators-opt11-strips:p05.pddl", "transport-opt11-strips:p08.pddl",
         "miconic:s3-3.pddl", "psr-small:p49-s105-n6-l2-f30.pddl",
         "parcprinter-08-strips:p19.pddl",
         "floortile-opt11-strips:opt-p09-017.pddl",
         "hiking-opt14-strips:ptesting-2-2-4.pddl",
         "freecell:probfreecell-3-3.pddl",
         "hiking-opt14-strips:ptesting-2-3-6.pddl", "logistics98:prob26.pddl",
         "hiking-opt14-strips:ptesting-1-2-7.pddl", "miconic:s17-3.pddl",
         "visitall-opt11-strips:problem04-half.pddl",
         "caldera-opt18-adl:p20.pddl",
         "miconic:s11-3.pddl", "pipesworld-notankage:p48-net5-b28-g7.pddl",
         "pegsol-08-strips:p25.pddl", "depot:p17.pddl", "zenotravel:p02.pddl",
         "childsnack-opt14-strips:child-snack_pfile01-2.pddl",
         "storage:p02.pddl",
         "mprime:prob35.pddl", "blocks:probBLOCKS-12-0.pddl",
         "sokoban-opt08-strips:p04.pddl",
         "psr-small:p10-s17-n2-l2-f30.pddl", "openstacks-opt08-strips:p18.pddl",
         "elevators-opt11-strips:p17.pddl", "logistics98:prob25.pddl",
         "barman-opt14-strips:p638-1.pddl",
         "parking-opt14-strips:p_16_9-03.pddl",
         "pipesworld-notankage:p43-net5-b24-g3.pddl", "freecell:p19.pddl",
         "settlers-opt18-adl:p12.pddl", "scanalyzer-08-strips:p20.pddl",
         "satellite:p03-pfile3.pddl", "blocks:probBLOCKS-6-0.pddl",
         "elevators-opt11-strips:p06.pddl",
         "parking-opt11-strips:pfile08-029.pddl",
         "organic-synthesis-opt18-strips:p19.pddl",
         "scanalyzer-opt11-strips:p19.pddl",
         "blocks:probBLOCKS-7-1.pddl",
         "floortile-opt11-strips:opt-p08-015.pddl",
         "storage:p01.pddl", "sokoban-opt08-strips:p01.pddl",
         "floortile-opt11-strips:opt-p08-016.pddl",
         "pegsol-opt11-strips:p05.pddl",
         "mprime:prob31.pddl", "transport-opt08-strips:p26.pddl",
         "logistics00:probLOGISTICS-6-2.pddl", "miconic:s10-4.pddl",
         "scanalyzer-opt11-strips:p08.pddl", "ged-opt14-strips:d-4-3.pddl",
         "caldera-split-opt18-adl:p13.pddl",
         "pipesworld-tankage:p46-net5-b26-g6-t50.pddl",
         "satellite:p09-pfile9.pddl", "psr-small:p07-s11-n1-l4-f70.pddl",
         "woodworking-opt08-strips:p28.pddl", "mystery:prob18.pddl",
         "logistics00:probLOGISTICS-4-1.pddl", "storage:p08.pddl",
         "miconic:s3-2.pddl",
         "elevators-opt11-strips:p13.pddl", "mystery:prob28.pddl",
         "pipesworld-tankage:p31-net4-b14-g3-t20.pddl",
         "pipesworld-notankage:p46-net5-b26-g6.pddl",
         "caldera-opt18-adl:p13.pddl",
         "pipesworld-notankage:p04-net1-b8-g5.pddl",
         "elevators-opt11-strips:p09.pddl",
         "scanalyzer-opt11-strips:p01.pddl", "freecell:probfreecell-4-5.pddl",
         "childsnack-opt14-strips:child-snack_pfile08.pddl",
         "psr-small:p44-s89-n4-l2-f30.pddl", "tpp:p10.pddl",
         "mystery:prob20.pddl",
         "sokoban-opt11-strips:p11.pddl",
         "visitall-opt11-strips:problem08-full.pddl",
         "pathways-noneg:p24.pddl", "miconic:s9-0.pddl",
         "blocks:probBLOCKS-10-2.pddl",
         "transport-opt14-strips:p11.pddl", "ged-opt14-strips:d-1-2.pddl",
         "mprime:prob07.pddl", "scanalyzer-opt11-strips:p10.pddl",
         "caldera-opt18-adl:p11.pddl", "visitall-opt14-strips:p-05-10.pddl",
         "miconic:s13-2.pddl", "miconic:s21-4.pddl", "miconic:s13-3.pddl",
         "psr-small:p11-s18-n2-l2-f50.pddl", "transport-opt08-strips:p06.pddl",
         "pipesworld-tankage:p19-net2-b18-g6-t60.pddl", "miconic:s28-1.pddl",
         "pipesworld-notankage:p25-net3-b16-g5.pddl", "movie:prob15.pddl",
         "tpp:p17.pddl",
         "tpp:p30.pddl", "mystery:prob12.pddl",
         "nomystery-opt11-strips:p12.pddl",
         "parking-opt11-strips:pfile07-026.pddl",
         "hiking-opt14-strips:ptesting-2-2-3.pddl",
         "nurikabe-opt18-adl:p04.pddl", "woodworking-opt08-strips:p24.pddl",
         "blocks:probBLOCKS-16-2.pddl",
         "organic-synthesis-split-opt18-strips:p19.pddl",
         "logistics98:prob07.pddl", "depot:p06.pddl", "driverlog:p05.pddl",
         "psr-small:p14-s23-n2-l3-f70.pddl", "freecell:probfreecell-8-1.pddl",
         "organic-synthesis-opt18-strips:p17.pddl", "pathways-noneg:p11.pddl",
         "zenotravel:p11.pddl", "freecell:probfreecell-11-5.pddl",
         "scanalyzer-08-strips:p13.pddl", "visitall-opt14-strips:p-1-11.pddl",
         "barman-opt11-strips:pfile03-009.pddl",
         "sokoban-opt11-strips:p05.pddl",
         "floortile-opt14-strips:p01-5-3-2.pddl",
         "parking-opt11-strips:pfile06-023.pddl",
         "miconic:s17-2.pddl", "pegsol-opt11-strips:p19.pddl",
         "pipesworld-notankage:p47-net5-b28-g5.pddl", "miconic:s23-3.pddl",
         "pegsol-08-strips:p23.pddl", "freecell:probfreecell-13-2.pddl",
         "pipesworld-notankage:p09-net1-b14-g6.pddl",
         "woodworking-opt08-strips:p25.pddl",
         "blocks:probBLOCKS-14-0.pddl", "elevators-opt11-strips:p15.pddl",
         "rovers:p37.pddl",
         "storage:p09.pddl", "freecell:probfreecell-6-4.pddl",
         "zenotravel:p09.pddl",
         "freecell:probfreecell-13-3.pddl", "openstacks-opt08-strips:p05.pddl",
         "mprime:prob11.pddl", "logistics98:prob09.pddl",
         "barman-opt14-strips:p839-1.pddl",
         "tpp:p21.pddl", "pipesworld-tankage:p35-net4-b18-g4-t90.pddl",
         "sokoban-opt08-strips:p03.pddl", "psr-small:p50-s107-n6-l2-f70.pddl",
         "pipesworld-tankage:p04-net1-b8-g5-t80.pddl", "miconic:s19-0.pddl",
         "pipesworld-notankage:p32-net4-b14-g5.pddl",
         "pipesworld-notankage:p31-net4-b14-g3.pddl",
         "floortile-opt11-strips:opt-p09-018.pddl",
         "sokoban-opt08-strips:p17.pddl",
         "elevators-opt08-strips:p13.pddl", "tpp:p06.pddl",
         "visitall-opt14-strips:p-1-14.pddl",
         "pipesworld-notankage:p24-net3-b14-g5.pddl",
         "freecell:probfreecell-8-4.pddl", "miconic:s25-4.pddl",
         "openstacks-opt08-strips:p26.pddl", "movie:prob20.pddl",
         "openstacks-opt08-strips:p09.pddl", "pegsol-08-strips:p01.pddl",
         "scanalyzer-opt11-strips:p17.pddl",
         "pipesworld-notankage:p45-net5-b26-g4.pddl",
         "barman-opt11-strips:pfile02-005.pddl",
         "freecell:probfreecell-9-5.pddl",
         "miconic:s7-2.pddl", "transport-opt08-strips:p14.pddl",
         "mprime:prob26.pddl",
         "movie:prob28.pddl", "organic-synthesis-opt18-strips:p05.pddl",
         "ged-opt14-strips:d-4-2.pddl", "rovers:p35.pddl",
         "barman-opt14-strips:p435-1.pddl",
         "parcprinter-08-strips:p02.pddl",
         "pipesworld-tankage:p17-net2-b16-g5-t20.pddl",
         "miconic:s27-2.pddl", "movie:prob10.pddl",
         "pegsol-opt11-strips:p03.pddl",
         "satellite:p22-HC-pfile2.pddl", "sokoban-opt08-strips:p14.pddl",
         "pipesworld-notankage:p08-net1-b12-g7.pddl",
         "satellite:p11-pfile11.pddl",
         "transport-opt08-strips:p15.pddl", "scanalyzer-08-strips:p17.pddl",
         "rovers:p07.pddl",
         "rovers:p29.pddl", "organic-synthesis-split-opt18-strips:p05.pddl",
         "pipesworld-notankage:p37-net4-b20-g5.pddl",
         "ged-opt14-strips:d-8-4.pddl",
         "freecell:probfreecell-4-2.pddl", "storage:p20.pddl",
         "miconic:s3-1.pddl",
         "pipesworld-tankage:p21-net3-b12-g2-t60.pddl", "tpp:p05.pddl",
         "barman-opt14-strips:p536-2.pddl", "miconic:s30-4.pddl",
         "miconic:s10-3.pddl",
         "freecell:probfreecell-9-2.pddl", "depot:p15.pddl",
         "openstacks-opt14-strips:p20_2.pddl", "pegsol-opt11-strips:p04.pddl",
         "tpp:p01.pddl",
         "nurikabe-opt18-adl:p12.pddl", "caldera-opt18-adl:p06.pddl",
         "mprime:prob20.pddl",
         "transport-opt14-strips:p07.pddl", "miconic:s30-0.pddl",
         "organic-synthesis-split-opt18-strips:p15.pddl",
         "caldera-opt18-adl:p16.pddl",
         "tpp:p08.pddl", "pegsol-opt11-strips:p07.pddl", "miconic:s29-0.pddl",
         "storage:p24.pddl", "sokoban-opt08-strips:p13.pddl",
         "nurikabe-opt18-adl:p09.pddl",
         "blocks:probBLOCKS-4-0.pddl", "mprime:prob14.pddl",
         "organic-synthesis-split-opt18-strips:p08.pddl",
         "airport:p16-airport3-p4.pddl",
         "openstacks-opt08-strips:p25.pddl", "freecell:probfreecell-2-4.pddl",
         "miconic:s14-0.pddl", "storage:p10.pddl",
         "transport-opt14-strips:p09.pddl",
         "organic-synthesis-split-opt18-strips:p04.pddl",
         "childsnack-opt14-strips:child-snack_pfile10.pddl",
         "miconic:s15-2.pddl",
         "satellite:p26-HC-pfile6.pddl",
         "pipesworld-tankage:p09-net1-b14-g6-t50.pddl",
         "freecell:probfreecell-10-5.pddl", "logistics98:prob33.pddl",
         "storage:p15.pddl",
         "storage:p16.pddl", "gripper:prob18.pddl",
         "visitall-opt11-strips:problem07-full.pddl", "tpp:p14.pddl",
         "nomystery-opt11-strips:p01.pddl", "settlers-opt18-adl:p10.pddl",
         "mprime:prob19.pddl", "sokoban-opt11-strips:p06.pddl",
         "woodworking-opt08-strips:p19.pddl",
         "visitall-opt11-strips:problem10-full.pddl",
         "settlers-opt18-adl:p16.pddl", "logistics98:prob34.pddl",
         "logistics00:probLOGISTICS-6-9.pddl", "rovers:p06.pddl",
         "storage:p11.pddl",
         "pathways-noneg:p15.pddl", "organic-synthesis-opt18-strips:p14.pddl",
         "pipesworld-notankage:p19-net2-b18-g6.pddl",
         "airport:p08-airport2-p3.pddl",
         "freecell:probfreecell-11-4.pddl", "miconic:s2-3.pddl",
         "openstacks-opt08-strips:p15.pddl", "freecell:p09.pddl",
         "parking-opt14-strips:p_14_8-03.pddl", "miconic:s4-1.pddl",
         "pegsol-08-strips:p03.pddl", "woodworking-opt11-strips:p11.pddl",
         "openstacks-opt08-strips:p08.pddl", "driverlog:p01.pddl",
         "logistics98:prob29.pddl",
         "scanalyzer-opt11-strips:p15.pddl", "miconic:s3-4.pddl",
         "caldera-opt18-adl:p10.pddl",
         "caldera-split-opt18-adl:p08.pddl", "transport-opt08-strips:p09.pddl",
         "pathways-noneg:p26.pddl", "elevators-opt11-strips:p10.pddl",
         "openstacks-opt08-strips:p04.pddl", "driverlog:p12.pddl",
         "transport-opt08-strips:p02.pddl", "transport-opt08-strips:p13.pddl",
         "miconic:s12-3.pddl", "freecell:probfreecell-13-5.pddl",
         "visitall-opt11-strips:problem05-half.pddl",
         "nurikabe-opt18-adl:p13.pddl",
         "freecell:probfreecell-3-2.pddl", ]


def find_file(filenames, directory='.'):
    for filename in filenames:
        path = os.path.join(directory, filename)
        if os.path.exists(path):
            return path
    raise IOError('none found in %r: %r' % (directory, filenames))


BENCHMARKS_DIR = os.environ["DOWNWARD_BENCHMARKS"]

IGNORED = ['caldera-opt18-adl',
           'caldera-split-opt18-adl',
           'citycar-opt14-adl',
           'nurikabe-opt18-adl',
           'maintenance-opt14-adl',
           'openstacks-opt08-adl',
           'settlers-opt18-adl',
           'spider-opt18-strips',
           'storage',
           ]

for inst in SUITE:
    prob = inst.split(':')[1]
    domain = inst.split(':')[0]
    if domain in IGNORED:
        continue
    domain_basenames = [
        'domain.pddl',
        prob.replace('.pddl', '') + '-domain.pddl',
        'domain_' + prob,
        'domain-' + prob,
        prob.split('-')[0] + '-domain.pddl',
    ]
    domain_dir = os.path.join(BENCHMARKS_DIR, domain)
    domain_file = find_file(domain_basenames, domain_dir)
    domain_path = os.path.join(domain_dir, domain_file)
    problem_path = os.path.join(domain_dir, prob)
    command = ' '.join(
        ['python translate.py',
         domain_path,
         problem_path,
         '--test-experiment',
         '--verbose-data'])
    print(command)
    os.system(command)
